REM ** EXAM_21.PRO **

REM Spreadsheet Generation, PasteOnPage

SetFileTypes ListModeFile, "FCLM", "TEXT", "SFWF"
SelectFile ListModeFile, "LM File, 4 parameters"
OpenLMFile "", "LM File, 4 parameters"
NewHgr 1, 2, "All[FS,SS]" of All
NewHgr 3, 4, "Red[FL1,FL2]" of Red
NewHgr 3, "Red[FL1]" of Red
NewHgr 3, "Green[FL1]" of Green
NewGate "All[FS,SS]", "G1", Red, ( 196,133; 204,16; 585,29; 618,100; 267,183; 196,133 )
NewGate "All[FS,SS]", "G2", Green, ( 284,234; 685,91; 823,221; 668,480; 443,489; 284,234 )
NewGate "Green[FL1]", "G1", Red, (200,405 )
SetGateColor "Green[FL1]", "G1", Blue
NewGate "Red[FL1,FL2]", "G1", Magenta, ( 37,455; 54,794; 409,664; 305,367; 37,455 )
GateOff "Red[FL1,FL2]", "G1"
NewGate "Red[FL1,FL2]", "G2", Cyan, ( 547,639; 764,643; 764,41; 560,37; 547,639 )
GateOff "Red[FL1,FL2]", "G2"
Classify

ShowHgr "Red[FL1]", 67.1, 5.3, 32.6, 32.6, AP
ShowHgr "Red[FL1,FL2]", 0.7, 40.6, 32.6, 32.6, DP
ShowHgr "Green[FL1]", 33.9, 40.6, 32.6, 32.6, LP
ShowHgr "All[FS,SS]", 67.1, 40.6, 32.6, 32.6, DP

NewSprLine
AddSprColumn "LM File"
AddSprColumn "1P-Hgr"
AddSprColumn "Parameter"
AddSprColumn "EventNo"
AddSprColumn "Mean"
AddSprColumn "+/-SD"
AddSprColumn "Trim"
AddSprColumn "TMean"
AddSprColumn "TSD"
AddSprColumn "2P-Hgr"
AddSprColumn "Parameters"
AddSprColumn "EventNo"
AddSprColumn "Quad IS"
AddSprColumn "EventNo LL"
AddSprColumn "Event% LL"
AddSprColumn "Gate1"
AddSprColumn "Ev.No in Gate1"
AddSprColumn "Gate2"
AddSprColumn "Ev.No in Gate2"
Print
ENo=HgrEventNum ("Green[FL1]")
Mcn=HgrMean("Green[FL1]")
sd=HgrSD ("Green[FL1]")
print "Green[FL1], MCN+/-SD:";Mcn;" +/- ";sd;" n=";ENo
TMcn=HgrTMean ("Green[FL1]",2.5,2.5)
Tsd=HgrTSD ("Green[FL1]",2.5,2.5)
print "2.5%->Green[FL1]<-2.5%,TMCN+/-SD:";TMcn;" +/- ";Tsd

NewSprLine
AddSprColumn "??"
AddSprColumn "Green[FL1]"
AddSprColumn "FL1"
AddSprColumn ENo
AddSprColumn Mcn
AddSprColumn sd
AddSprColumn "2.5,2.5"
AddSprColumn TMcn
AddSprColumn Tsd
print
qhor=820:qver=256
ENo=HgrEventNum ("All[FS,SS]")
print "Event No. in All[FS,SS]=";ENo
SetQuadrant "All[FS,SS]",qhor,qver
qis$=str$(qhor)+" - "+str$(qver)
LLNo=QuadEventNum ("All[FS,SS]",3)
LLp=QuadPercent ("All[FS,SS]",3)
G1No=GateEventNum ("All[FS,SS]", "G1")
G2No=GateEventNum ("All[FS,SS]", "G2")
AddSprColumn "All[FS,SS]"
AddSprColumn "Parameters"
AddSprColumn ENo
AddSprColumn qis$
AddSprColumn LLNo
AddSprColumn LLp
AddSprColumn "G1:Red"
AddSprColumn G1No
AddSprColumn "G2:Green"
AddSprColumn G2No
print

ENo=HgrEventNum ("Red[FL1]")
Mcn=HgrMean ("Red[FL1]")
sd=HgrSD ("Red[FL1]")
print "Red[FL1], MCN+/-SD:";Mcn;" +/- ";sd
TMcn=HgrTMean ("Red[FL1]",3,3)
Tsd=HgrTSD ("Red[FL1]",3,3)
print "3%->Red[FL1]<-3%,TMCN+/-SD:";TMcn;" +/- ";Tsd

NewSprLine
AddSprColumn "??"
AddSprColumn "Red[FL1]"
AddSprColumn "FL1"
AddSprColumn ENo
AddSprColumn Mcn
AddSprColumn sd
AddSprColumn "3,3"
AddSprColumn TMcn
AddSprColumn Tsd

print
qhor=420:qver=720
ENo=HgrEventNum ("Red[FL1,FL2]")
print "Event No. in Red[FL1,FL2]=";ENo
SetQuadrant "All[FS,SS]",qhor,qver
qis$=str$(qhor)+" - "+str$(qver)
LLNo=QuadEventNum ("Red[FL1,FL2]",3)
LLp=QuadPercent ("Red[FL1,FL2]",3)
G1No=GateEventNum ("Red[FL1,FL2]", "G1")
G2No=GateEventNum ("Red[FL1,FL2]", "G2")
AddSprColumn "Red[FL1,FL2]"
AddSprColumn "Parameters"
AddSprColumn ENo
AddSprColumn qis$
AddSprColumn LLNo
AddSprColumn LLp
AddSprColumn "G1:Magenta"
AddSprColumn G1No
AddSprColumn "G2:Cyan"
AddSprColumn G2No

PasteOnPage "Red[FL1,FL2]"
PasteOnPage "All[FS,SS]"

