REM ** EXAM_24.PRO **

REM Testing Population-statistics

SetFileTypes ListModeFile, "FCLM", "TEXT", "SFWF"
SelectFile ListModeFile, "4 parameters LM file"
OpenLMFile "", "4 parameters LM file"
NewHgr 1, 2, "All[FS,SS]" of All
NewHgr 3, 4, "All[FL1,FL2]" of All
NewHgr 1, 3, "Red[FS,FL1]" of Red
NewHgr 1, 3, "Green[FS,FL1]" of Green
NewHgr 3, "Blue[FL1]" of Blue
NewHgr 2, 3, "Magenta[SS,FL1]" of Magenta
ShowHgr "Magenta[SS,FL1]", 0.7, 5.3, 32.6, 32.6, MD
ShowHgr "Blue[FL1]", 33.9, 5.3, 32.6, 32.6, LP
ShowHgr "Green[FS,FL1]", 67.1, 5.3, 32.6, 32.6, MD
ShowHgr "Red[FS,FL1]", 0.7, 40.6, 32.6, 32.6, MD
ShowHgr "All[FL1,FL2]", 33.9, 40.6, 32.6, 32.6, MD
ShowHgr "All[FS,SS]", 67.1, 40.6, 32.6, 32.6, MD
ShowHgr "All[FS,SS]", 67.1, 40.6, 32.6, 32.6, MD
NewGate "All[FS,SS]", "G1", Red, ( 219,118; 208,18; 561,22; 585,110; 421,123; 219,118 )
NewGate "All[FS,SS]", "G2", Green, ( 522,335; 474,135; 589,123; 616,65; 757,146; 729,412; 522,335 )
NewGate "All[FS,SS]", "G3", Blue, ( 201,20; 214,127; 182,260; 137,230; 135,7; 201,20 )
NewGate "All[FS,SS]", "G4", Magenta, ( 191,277; 228,129; 468,140; 521,365; 738,444; 266,562; 191,277 )
ShowHgr "All[FL1,FL2]", 33.9, 40.6, 32.6, 32.6, DP,1,3
NewGate "All[FL1,FL2]", "G1",Cyan, ( 42,325; 411,501; 428,42; 47,21; 42,325 )
GateOFF "All[FL1,FL2]", "G1"
ShowHgr "Magenta[SS,FL1]", 0.7, 5.3, 32.6, 32.6, CP
NewGate "Red[FS,FL1]", "G1", Yellow, ( 218,342; 295,12; 651,89; 604,428; 287,389; 218,342 )

Classify
print:print "**** Population statistics:"
rem print "PopEventNum (Red): ";PopEventNum (Red)
rem print  "PopEventNum (1): ";PopEventNum (1)
print "Red% = ";100*PopEventNum (1)/PopEventNum (0)
rem print "PopPercent (Red): ";PopPercent (Red)
rem print  "PopPercentm (1): ";PopPercent (1)
j=2
print  "PopPercent (j=2): ";PopPercent (j)

print "PopMean (Gray,1): ";PopMean (Gray,1)
print  "PopMean (0,1): ";PopMean (0,1)
print "PopMean (Red,1): ";PopMean (Red,1)
print  "PopMean (1,1): ";PopMean (1,1)
print "PopMean (Green,1): ";PopMean (Green,1)
print  "PopMean (2,1): ";PopMean (2,1)
print "PopMean (Green,1): ";PopMean (Green,1)
print  "PopMean (2,2): ";PopMean (2,2)
print "PopMean (Green,1): ";PopMean (Green,1)
print  "PopMean (2,2): ";PopMean (2,2)
print "PopMean (Green,3): ";PopMean (Green,3)
print  "PopMean (2,3): ";PopMean (2,3)
print "PopMean (Green,4): ";PopMean (Green,4)
print  "PopMean (2,4): ";PopMean (2,4)
j=2:k=4
print  "PopMean (j=2,k=4): ";PopMean (j,k)

print "Populations 0-8:"
for j=0 to 8
   Print:k=1
   print "Number & Percent of events of the";j;"th Pop: "
      print "Event No: ";PopEventNum (j);
      print ", ";PopPercent (j);" %"
   if PopEventNum(j)=0 then goto @skip
   print "MCN & SD of the";j;"th Pop: "
   for k=1 to 4
      print k;"th parameter: ";PopMean (j,k);
      print " +/- ";PopSD (j,k)
   next k
   print "Geometric mean of the";j;"th Pop: "
   for k=1 to 4
      print k;"th parameter: ";PopGMean (j,k)
   next k
   print "Harmonic mean of the";j;"th Pop: "
   for k=1 to 4
      print k;"th parameter: ";PopHMean (j,k)
   next k
   print "Mode of the";j;"th Pop: "
   for k=1 to 4
      print k;"th parameter: ";PopMode (j,k)
   next k
   print "Median of the";j;"th Pop: "
   for k=1 to 4
      print k;"th parameter: ";PopMedian (j,k)
   next k
   print "Kurtosis of the";j;"th Pop: "
   for k=1 to 4
      print k;"th parameter: ";PopKurtosis (j,k)
   next k
   print "Skewness of the";j;"th Pop: "
   for k=1 to 4
      print k;"th parameter: ";PopSkewness (j,k)
   next k
   print "Trimmed MCN & SD of the";j;"th Pop: "
   for k=1 to 4
      print k;"th parameter: ";PopTMean (j,k,2.5,2.5);
      print " +/- ";PopTSD (j,k,2.5,2.5)
   next k
@skip:
next j


